Get Sync Logs
curl --request GET \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"resultId": "<string>",
"botId": "<string>",
"status": "<string>",
"attempts": 123,
"lastError": "<string>",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"auditLogs": [
{
"id": "<string>",
"outboxId": "<string>",
"resultId": "<string>",
"botId": "<string>",
"workspaceId": "<string>",
"providerType": "<string>",
"status": "<string>",
"attempt": 123,
"latencyMs": 123,
"error": "<string>",
"traceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>"
}Additional Endpoints
Get Sync Logs
Get external storage synchronization logs for a bot.
GET
/
v3
/
bots
/
{botId}
/
results
/
sync-logs
Get Sync Logs
curl --request GET \
--url http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs \
--header 'Authorization: Bearer <token>'import requests
url = "http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('http://127.0.0.1:3333/v3/bots/{botId}/results/sync-logs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"logs": [
{
"id": "<string>",
"resultId": "<string>",
"botId": "<string>",
"status": "<string>",
"attempts": 123,
"lastError": "<string>",
"nextAttemptAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"auditLogs": [
{
"id": "<string>",
"outboxId": "<string>",
"resultId": "<string>",
"botId": "<string>",
"workspaceId": "<string>",
"providerType": "<string>",
"status": "<string>",
"attempt": 123,
"latencyMs": 123,
"error": "<string>",
"traceId": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": "<string>",
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.